Subject: [bug#40264] Linphone: 14-add-linphoneqt-v3

From: "Raghav Gururajan" <[email-masked]>
Date: Thu, 02 Apr 2020 20:56:19 +0000

Hello Maxim and Danny!

> At this point for linphoneqt a.k.a linphone-desktop, I am facing following issues.
> 
> When I build *without* `-DENABLE_DBUS=YES`and run the program, I get:
> 
> QSocketNotifier: Socket notifiers cannot be enabled or disabled from another thread
> QMutex: destroying locked mutex
> 
> When I build *with* `-DENABLE_DBUS=YES` and run the program, I get:
> 
> Segmentation Fault (Core Dumped)
> 
> I think the following patch is relevant, but when I use it, doesn't get successfully patched during
> the build.
> 
> https://gitlab.linphone.org/BC/public/linphone-desktop/commit/9cf08623e3092fa19366e5c07fbe06898a59f0
> 9.diff
> 
> Any ideas on how to fix this situation?

So I fixed "QSocketNotifier" error in version 4 patch (14-add-linphoneqt-v4). I still don't know how to fix "QMutex" error.

Regards,
RG.